from setuptools import setup
import sweetasync as sa

download_url = "https://github.com/bmds-blhdr/%s/archive/v%s.tar.gz"

with open("README.rst", "r") as readme:
    long_description = readme.read()

setup(
    name="sweetasync",
    version=sa.__version__,
    description=sa.__doc__,
    long_description=long_description,
    url="https://github.com/bmds-blhdr/sweetasync",
    download_url=download_url % (sa.__project_name__, sa.__version__),
    author=sa.__author__,
    author_email="benoit@mendous.se",
    license=sa.__license__,
    test_suite="tests",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Framework :: AsyncIO",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3.5",
        "Programming Language :: Python :: 3.6",
    ],
    keywords="asyncio decorators utils",
    packages=[sa.__project_name__],
    zip_safe=False)
